Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00072 Crash/Freeze Critical (emulator) Have not tried Jan 18, 2008, 19:41 Mar 17, 2008, 14:16
Tester Firewave View Status Public Platform
Assigned To Resolution Unable to reproduce OS
Status [?] Closed Driver simpl156.cpp
Version 0.116 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00072: joemacra, prtytime, chainrec: Crash randomly.
Description Crash randomly. Error messages and stack crawls:

simpl156.c: joemacra

-----------------------------------------------------
Exception at EIP=00CB2CAB (tilemap_draw_primask+0x054e): INTEGER DIVIDE BY ZERO
-----------------------------------------------------
EAX=00000200 EBX=0EB31C00 ECX=00000200 EDX=00000000
ESI=0EB01EF8 EDI=0000FF02 EBP=0022D418 ESP=0022D370
-----------------------------------------------------
Stack crawl:
exception-> 00CB2CAB (tilemap_draw_primask+0x054e)
0022D41C: 00CB2F80 (tilemap_draw+0x0035)
0022D43C: 005458A7 (deco16_tilemap_2_draw+0x005b)
0022D48C: 00558E16 (video_update_simpl156+0x0086)
0022D4FC: 00D16186 (video_frame_update+0x16c6)
0022D86C: 00CFBB21 (mame_timer_set_global_time+0x045d)
0022D87C: 00CB4A18 (activecpu_get_info_int+0x0038)
0022D8AC: 00CB6B33 (cpunum_execute+0x00f7)
0022DFB0: 00558D90 (video_update_simpl156+0x0000)
0022FDDC: 01379495 (__main+0x00a5)

simpl156.c: prtytime

-----------------------------------------------------
Exception at EIP=00545547 (deco16_pdrawgfx+0x037b): ACCESS VIOLATION
While attempting to read memory at 0F533246
-----------------------------------------------------
EAX=00000D23 EBX=0F531800 ECX=083017E8 EDX=0F531800
ESI=00000001 EDI=00000001 EBP=0022D438 ESP=0022D3F0
-----------------------------------------------------
Stack crawl:
exception-> 00545547 (deco16_pdrawgfx+0x037b)
0022D43C: 00545951 (deco16_tilemap_2_draw+0x0105)
0022D48C: 00558E16 (video_update_simpl156+0x0086)
0022D4FC: 00D16186 (video_frame_update+0x16c6)
0022D86C: 00CFBB21 (mame_timer_set_global_time+0x045d)
0022D87C: 00CB4A18 (activecpu_get_info_int+0x0038)
0022D8AC: 00CB6B33 (cpunum_execute+0x00f7)
0022DFB0: 00558D90 (video_update_simpl156+0x0000)
0022FDDC: 01379495 (__main+0x00a5)

simpl156.c: chainrec

-----------------------------------------------------
Exception at EIP=00545547 (deco16_pdrawgfx+0x037b): ACCESS VIOLATION
While attempting to read memory at 0DDB9BEC
-----------------------------------------------------
EAX=000041F6 EBX=0DDB1800 ECX=0EDC17E8 EDX=0DDB1800
ESI=00000001 EDI=00000001 EBP=0022D438 ESP=0022D3F0
-----------------------------------------------------
Stack crawl:
exception-> 00545547 (deco16_pdrawgfx+0x037b)
0022D43C: 00545951 (deco16_tilemap_2_draw+0x0105)
0022D48C: 00558E16 (video_update_simpl156+0x0086)
0022D4FC: 00D16186 (video_frame_update+0x16c6)
0022D86C: 00CFBB21 (mame_timer_set_global_time+0x045d)
0022D87C: 00CB4A18 (activecpu_get_info_int+0x0038)
0022D8AC: 00CB6B33 (cpunum_execute+0x00f7)
0022DFB0: 00558D90 (video_update_simpl156+0x0000)
0022FDDC: 01379495 (__main+0x00a5) 
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems joemacra, prtytime, chainrec
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.00136
Firewave
Senior Tester
Mar 14, 2008, 03:55
I haven't seen these crashes for quite a while. Closing it.